<table class="table queries">
  <thead>
    <tr>
      <th style="width: 10%;">Pid</th>
      <th style="width: 10%;">State</th>
      <th>Source</th>
      <th style="width: 10%;">Waiting</th>
      <th style="width: 15%;">Duration</th>
      <th style="width: 10%;"></th>
    </tr>
  </thead>
  <tbody>
    {% for object in running_queries %}
      <tr>
        <td>{{ object.pid }}</td>
        <td>{{ object.state }}</td>
        <td>{{ object.source }}</td>
        <td>{% if object.waiting == 't' %}true{% else %}false{% endif %}</td>
        <td>{{ object.started_at }}<% query["started_at"] ? time_ago_in_words(query["started_at"], include_seconds: true) : nil %></td>
        <td class="text-right"><%= button_to "Kill", kill_path(pid: query["pid"]), class: "btn btn-info" %></td>
      </tr>
      <tr>
        <td colspan="6" style="border-top: none; padding: 0;"><pre>{{ object.query }}</pre></td>
      </tr>
    {% endfor %}
  </tbody>
</table>
